FastAPI Template - Swagger UI
FastAPI Template
1.0.0
OAS 3.1
A template for FastAPI applications with user authentication
Authorize
default
GET
/o/{tracking_id}.png
Short Track Email Open
GET
/c/{tracking_id}
Short Track Link Click
POST
/u/{token}
Short One Click Unsubscribe
GET
/u/{token}
Short Unsubscribe Page
GET
/SKILL.md
Serve Skill Md
GET
/SKILL_ADMIN.md
Serve Skill Admin Md
GET
/
Root
GET
/health
Health
oauth-discovery
GET
/.well-known/oauth-authorization-server
Authorization Server Metadata
GET
/.well-known/oauth-protected-resource/mcp
Protected Resource Metadata
GET
/.well-known/oauth-protected-resource
Protected Resource Metadata
oauth
POST
/oauth/register
Register Client
GET
/oauth/authorize
Authorize
GET
/oauth/authorize/details
Authorize Details
Return client metadata for the consent screen. No auth required.
Parameters
Try it out
| Name | Description |
|---|---|
| ticket * string (query) |
Responses
| Code | Description | Links |
|---|---|---|
| 200 | Successful Response Media type application/json Controls Accept header.- Example Value - Schema json<br>{<br> "client_id": "string",<br> "client_name": "string",<br> "redirect_uri": "string",<br> "scope": "string",<br> "resource": "string"<br>}<br> |
No links |
| 422 | Validation Error Media type application/json - Example Value - Schema json<br>{<br> "detail": [<br> {<br> "loc": [<br> "string",<br> 0<br> ],<br> "msg": "string",<br> "type": "string",<br> "input": "string",<br> "ctx": {}<br> }<br> ]<br>}<br> |
No links |
POST
/oauth/authorize/consent
Authorize Consent
GET
/oauth/authorize/status
Authorize Status
POST
/oauth/token
Token
oauth-userinfo
GET
/oauth/userinfo
Userinfo
Schemas
AuthorizeDetailsResponse
Expand all object
Body_token_oauth_token_post
Expand all object
ClientRegistrationRequest
Expand all object
ClientRegistrationResponse
Expand all object
CodeStatusResponse
Expand all object
ConsentRequest
Expand all object
ConsentResponse
Expand all object
HTTPValidationError
Expand all object
TokenResponse
Expand all object
ValidationError
Expand all object